Package de.willuhn.jameica.hbci.passports.pintan

# Class PinTanMigrationService

java.lang.Object
de.willuhn.jameica.hbci.passports.pintan.PinTanMigrationService

@Lifecycle(CONTEXT) public class PinTanMigrationService extends Object
Service, mit der die URLs von PIN/TAN-Bankzugängen auf Korrektheit geprüft und bei Bedarf automatisch korrigiert werden können.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`PinTanMigrationService.VerificationEntry`
Ein Bankzugang, bei dem die URL abweicht.

## Constructor Summary

Constructors
Constructor
Description
`PinTanMigrationService()`

## Method Summary

Modifier and Type
Method
Description
`List<PinTanMigrationService.VerificationEntry>`
`getConfigs()`
Liefert eine Liste der zu migrierenden Bankzugänge.
`int`
`migrate(List<PinTanMigrationService.VerificationEntry> list)`
Migriert die angegebene Liste der Einträge auf die neue URL.
`void`
`refresh()`
Aktualisiert die Liste der zu migrierenden Bankzugänge.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PinTanMigrationService

public PinTanMigrationService()

## Method Details

### getConfigs

public List<PinTanMigrationService.VerificationEntry> getConfigs()
Liefert eine Liste der zu migrierenden Bankzugänge.

Returns:
  die Liste der zu migrierenden Bankzugänge.

### refresh

public void refresh()
Aktualisiert die Liste der zu migrierenden Bankzugänge.

### migrate

public int migrate(List<PinTanMigrationService.VerificationEntry> list)
Migriert die angegebene Liste der Einträge auf die neue URL.

Parameters:
  `list` - die Liste der Einträge.
Returns:
  die Anzahl der Einträge, die aktualisiert werden konnten.